org.hibernate.validator.internal.engine.groups

## Class ValidationOrderGenerator

- java.lang.Object
- - org.hibernate.validator.internal.engine.groups.ValidationOrderGenerator

-     public class ValidationOrderGenerator
      extends Object

  Helper class used to order groups and sequences into the right order for validation.
  Author:
    Hardy Ferentschik, Kevin Pollet (C) 2011 SERLI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationOrderGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationOrder` | `getValidationOrder(Class<?> group, boolean expand)` Creates a `ValidationOrder` for the given validation group.
    `ValidationOrder` | `getValidationOrder(Collection<Class<?>> groups)` Generates a order of groups and sequences for the specified validation groups.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationOrderGenerator

          public ValidationOrderGenerator()

  - ### Method Detail

    - #### getValidationOrder

          public ValidationOrder getValidationOrder(Class<?> group,
                                           boolean expand)

      Creates a `ValidationOrder` for the given validation group.
      Parameters:
        `group` - the group to get as order
        `expand` - whether the given group should be expanded (i.e. flattened it to its members if it is a sequence or group extending another group) or not
      Returns:
        a `ValidationOrder` for the given validation group

    - #### getValidationOrder

          public ValidationOrder getValidationOrder(Collection<Class<?>> groups)

      Generates a order of groups and sequences for the specified validation groups.
      Parameters:
        `groups` - the groups specified at the validation call
      Returns:
        an instance of `ValidationOrder` defining the order in which validation has to occur

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved